<!DOCTYPE HTML SYSTEM>
<!-- Generated by Lisaac shorter / html style -->
<html>
<head>
<title>
Lisaac prototype interface
</title>
</head>
<body BGCOLOR="#FFFFFF">

 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Header</font></strong>

  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">name</font></strong>    := <a href="AI_LAYER.html"><font color="#008000">AI_LAYER</font></a>;
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">comment</font></strong> := <font color="#BC8F8F">"Layer of a AI document."</font>;

  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">version</font></strong> := <font color="#A020F0">1</font>;    
  
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Inherit</font></strong>  
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">parent_object</font></strong>:<a href="OBJECT.html"><font color="#008000">OBJECT</font></a> := 
  
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Public</font></strong>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">color</font></strong>:<a href="AI_COLOR.html"><font color="#008000">AI_COLOR</font></a>;
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">operation</font></strong>:<a href="LINKED_LIST.html"><font color="#008000">LINKED_LIST</font></a>[<a href="AI_OPERATION.html"><font color="#008000">AI_OPERATION</font></a>];
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">is_fill</font></strong>:<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a>;
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">is_stroke</font></strong>:<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a>;
      
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> Creation.</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">create</font></strong> lst_op:<a href="LINKED_LIST.html"><font color="#008000">LINKED_LIST</font></a>[<a href="AI_OPERATION.html"><font color="#008000">AI_OPERATION</font></a>] <strong><font color="#0000FF">color</font></strong> col:<a href="AI_COLOR.html"><font color="#008000">AI_COLOR</font></a> <strong><font color="#0000FF">fill</font></strong> f:<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a> <strong><font color="#0000FF">stroke</font></strong> s:<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a> :<font color="#008000">SELF</font> <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">make</font></strong> lst_op:<a href="LINKED_LIST.html"><font color="#008000">LINKED_LIST</font></a>[<a href="AI_OPERATION.html"><font color="#008000">AI_OPERATION</font></a>] <strong><font color="#0000FF">color</font></strong> col:<a href="AI_COLOR.html"><font color="#008000">AI_COLOR</font></a> <strong><font color="#0000FF">fill</font></strong> f:<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a> <strong><font color="#0000FF">stroke</font></strong> s:<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a> <-
    
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> Draw</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">draw</font></strong> b:<a href="BITMAP.html"><font color="#008000">BITMAP</font></a> <strong><font color="#0000FF">scale</font></strong> s:<a href="REAL_16_16.html"><font color="#008000">REAL_16_16</font></a> <-
    

</body>
</html>

